[jitsi-dev] libjitsi_543-1_amd64.changes REJECTED


#1

Dear Maintainer,

unfortunately I have to reject your package.

In debian/README.embedded-libraries your write that you are using lots
of embedded libraries because there are no packages in Debian. So why
don't you create them yourself?

Please also revise your debian/copyright.
After looking at just a few files I found:
lib\src\bccontrib\src\main\java\org\jitsi\bccontrib\prng\FortunaGenerator.java
which is not licensed under MIT as the rest of bccontrib/* and such
should be mentioned separately. I am sure there are other licenses
missing as well.

The stuff in lib/src/jsip/src/javax/sip/* is copyright by Sun Microsystem
and subject to license terms but these terms are not mentioned.

You seem to mix GPL-2 stuff (lib/src/zrtp4j/src/gnu/java/math/*) with
GPLv3+ stuff ( (lib/src/zrtp4j/src/gnu/java/zrtp/*). This is not possible.

Thanks!
Thorsten

ยทยทยท

===

Please feel free to respond to this email if you don't understand why
your files were rejected, or if you upload new files which address our
concerns.


#2

Dear Maintainer,

unfortunately I have to reject your package.

In debian/README.embedded-libraries your write that you are using lots
of embedded libraries because there are no packages in Debian. So why
don't you create them yourself?

Haha :slight_smile:

Please also revise your debian/copyright.
After looking at just a few files I found:

lib\src\bccontrib\src\main\java\org\jitsi\bccontrib\prng\FortunaGenerator
.jav a which is not licensed under MIT as the rest of bccontrib/* and
such should be mentioned separately. I am sure there are other licenses
missing as well.

Fixed with 9f5596c. With the exception of Fortuna, everything else in bccontrib is obsolete. We could update zrtp4j to use the built-in BouncyCastle stuff. And the Fortuna generator could be replaced by something else. One lib/project less to take care of.

The stuff in lib/src/jsip/src/javax/sip/* is copyright by Sun Microsystem
and subject to license terms but these terms are not mentioned.

Oo...

You seem to mix GPL-2 stuff (lib/src/zrtp4j/src/gnu/java/math/*) with
GPLv3+ stuff ( (lib/src/zrtp4j/src/gnu/java/zrtp/*). This is not possible.

The deb-license file lacks the +, so it IS compatible. Fixed with 400a5db.

Thanks!
Thorsten

Please feel free to respond to this email if you don't understand why
your files were rejected, or if you upload new files which address our
concerns.

Ingo